package adminkindboxservice

import (
	"context"

	entity "git.gocasts.ir/ebhomengo/niki/entity"
)

type Repository interface {
	AddBatchKindBox(ctx context.Context, kindBoxes []entity.KindBox) error
	AddKindBox(ctx context.Context, kindBox entity.KindBox) error
}

type Service struct {
	repo Repository
}

func New(repository Repository) Service {
	return Service{
		repo: repository,
	}
}
